[CVP] Remove some {s|u}sub.with.overflow checks.
ClosedPublic

Authored by jgalenson on Nov 14 2017, 9:55 AM.

Details

Summary

This uses ConstantRange::makeGuaranteedNoWrapRegion's newly-added handling for subtraction to allow CVP to remove some subtraction overflow checks.

Diff Detail

Repository
rL LLVM
fhahn added a subscriber: fhahn.Nov 22 2017, 9:41 AM
sanjoy accepted this revision.Dec 4 2017, 11:03 AM

lgtm

This revision is now accepted and ready to land.Dec 4 2017, 11:03 AM
This revision was automatically updated to reflect the committed changes.